import matplotlib.pyplot as plt

with open('asu-txt.txt', 'r') as f:
    lines = f.read().split('\n')

u_U = []
T_U = []
u_V = []
T_V = []
u_B = []
T_B = []

for line in lines:
    line_list = line.split()
    if line_list[5] is 'U':
        u_U.append(float(line_list[4]))
        T_U.append(float(line_list[1]))
    elif line_list[5] is 'B':
        u_B.append(float(line_list[4]))
        T_B.append(float(line_list[1]))
    elif line_list[5] is 'V':
        u_V.append(float(line_list[4]))
        T_V.append(float(line_list[1]))
 
plt.figure(figsize=(15, 10))
plt.scatter(T_U, u_U, s=2, c='m', label='U')
plt.scatter(T_B, u_B, s=2, c='b', label='B')
plt.scatter(T_V, u_V, s=2, c='g', label='V')
plt.xlabel('T [K]')
plt.ylabel('u')
plt.legend()
plt.show()
    
